@import url("https://fonts.googleapis.com/css?family=Lato:400,700|Raleway:300,400,500,700");
@tailwind preflight;
@tailwind components;
@tailwind utilities;
@supports (display: grid) {
  .grid {
    display: grid;
    grid-gap: .75rem;
    grid-template-columns: repeat(auto-fill, minmax(400px, 1fr));
    grid-auto-rows: 40px; }
    .grid .item {
      width: auto;
      max-width: none;
      margin: 0; } }

.grid-row-1 {
  grid-row-end: span 1; }

.grid-row-2 {
  grid-row-end: span 2; }

.grid-row-3 {
  grid-row-end: span 3; }

body {
  margin-bottom: 3rem;
  font-family: 'Lato', sans-serif; }

a {
  text-decoration: none; }

.navbar {
  @apply flex items-center justify-between flex-wrap p-6 shadow fixed w-full z-50 pin-t;
  transition: padding .2s ease-in-out; }
  .navbar.scrolled {
    @apply py-3; }
  .navbar .navbar-brand {
    @apply flex items-center flex-no-shrink mr-6; }
    .navbar .navbar-brand .navbar-logo {
      @apply fill-current h-8 w-8 mr-2; }
    .navbar .navbar-brand .navbar-title {
      @apply font-semibold text-xl tracking-tight; }
  .navbar a {
    color: inherit; }
  .navbar .socials {
    @apply list-reset flex; }
    .navbar .socials li a {
      @apply .px-2; }
      .navbar .socials li a svg {
        position: static;
        display: block;
        margin: auto;
        width: 2em;
        height: 1em;
        fill: currentColor; }

.full-image-wrapper {
  height: 50vh;
  background: no-repeat fixed center;
  background-size: cover;
  @apply relative; }

@screen md {
  .full-image-wrapper {
    height: 100vh; } }
  .full-image-wrapper .overflow {
    @apply absolute pin-t pin-l pin-r w-full h-full;
    background: rgba(255, 255, 255, 0.7); }

.section-title {
  @apply py-6 text-4xl pb-8; }

@screen sm {
  .section-title {
    @apply text-4xl; } }

.card.card {
  @apply overflow-hidden shadow-lg m-2 bg-indigo-dark .text-white;
  background: #38a89d;
  opacity: 0; }
  .card.card.visible {
    animation: card-entrance .5s linear forwards; }
  .card.card a {
    text-decoration: none;
    color: inherit; }
    .card.card a:hover {
      text-decoration: underline; }
  .card.card p {
    color: inherit;
    font-family: 'Raleway', sans-serif; }

.logo {
  @apply w-1/3 p-6 flex items-center justify-center relative overflow-hidden;
  min-height: 5rem; }

@screen lg {
  .logo {
    width: 20%; } }

@screen xl {
  .logo {
    width: 15%; } }
  .logo > span {
    width: 100%;
    @apply text-center; }
    .logo > span svg {
      width: 100%;
      max-width: 6rem;
      filter: drop-shadow(0 3px 3px rgba(0, 0, 0, 0.21)); }
  .logo.logo-lg {
    @apply w-full; }

@screen sm {
  .logo.logo-lg {
    width: auto; } }
    .logo.logo-lg > span svg {
      max-width: none; }
  .logo .overlay {
    @apply absolute pin-t pin-l w-full h-full z-50 p-6 text-center;
    transition: .3s ease-in;
    transition-delay: .3s;
    opacity: 0; }
    .logo .overlay h5 {
      @apply text-center p-3 pt-0 text-xl; }
    .logo .overlay a {
      @apply absolute pin-b pin-l pin-r block pb-2 text-center;
      text-decoration: none;
      color: inherit;
      margin: auto; }
      .logo .overlay a:hover {
        text-decoration: underline; }
  .logo:hover .overlay {
    opacity: 1; }
  .logo:after {
    position: absolute;
    width: 200%;
    height: 150%;
    background: rgba(56, 168, 157, 0.85);
    top: 100%;
    left: -200%;
    transition: .3s ease-in;
    transform: rotate(-45deg);
    transform-origin: 20% 80%; }
  .logo:hover:after {
    top: 0;
    left: 0; }

.footer {
  @apply fixed pin-b pin-l w-full bg-blue-lightest text-center flex items-center justify-center;
  z-index: -1;
  height: 3rem; }

.footer-stars {
  @apply .absolute .pin-t .pin-l .overflow-hidden .h-full;
  z-index: -1; }

#overlay {
  @apply fixed pin-t pin-l w-full h-full flex items-center justify-center;
  z-index: 101010;
  background: black;
  transition: all .5s ease-out; }
  #overlay .text {
    @apply p-0 border-0 relative;
    list-style: none; }
    #overlay .text li {
      @apply inline-block text-white opacity-100;
      float: left;
      font-weight: 700;
      font-size: 2em;
      transition: all 1s ease-in-out;
      max-width: 2em; }
      #overlay .text li.spaced {
        padding-left: 0.5em; }
    #overlay .text.hide {
      @apply border-b; }
      #overlay .text.hide li.spaced {
        @apply pl-0; }
      #overlay .text.hide li.ghost {
        @apply opacity-0;
        max-width: 0; }
  #overlay.faded {
    opacity: 0;
    z-index: -2; }
    #overlay.faded .text {
      transform: translate(-100vw, -100vh); }
      #overlay.faded .text li {
        color: transparent; }

@keyframes card-entrance {
  from {
    opacity: 0;
    transform: translateY(8rem); }
  to {
    opacity: 1;
    transform: translateY(0); } }

.portfolio-page {
  position: relative;
  z-index: 1; }
  .portfolio-page a.featured-wrapper {
    @apply .block .w-full .h-full; }
  .portfolio-page .featured {
    @apply w-full  overflow-hidden relative;
    height: 50vh; }
    .portfolio-page .featured:after {
      content: '';
      box-shadow: inset 0 -50px 50px -60px rgba(255, 255, 255, 0.75), inset 0 -140px 90px -90px rgba(255, 255, 255, 0.75), inset 0 -150px 220px -120px rgba(255, 255, 255, 0.75), inset 0 -190px 240px -150px rgba(255, 255, 255, 0.75), inset 0 -350px 290px -210px rgba(255, 255, 255, 0.75);
      opacity: 1;
      width: 100%;
      height: 100%;
      display: block;
      position: relative;
      transition: transform .5s ease-in-out;
      transition-delay: .2s; }
    .portfolio-page .featured img {
      @apply min-w-full min-h-full absolute;
      max-width: none;
      left: 50%;
      top: 50%;
      transform: translateY(-50%) translateX(-50%);
      z-index: -1;
      object-fit: cover; }

@screen md {
  .portfolio-page .featured {
    @apply h-screen; } }

@screen xxl {
  .portfolio-page .featured {
    height: 80vh; } }
    .portfolio-page .featured h1 {
      @apply absolute pin-b p-6 text-teal-darker;
      transition: .5s ease-in-out;
      transition-delay: .2s;
      z-index: 2; }
    .portfolio-page .featured:hover h1 {
      opacity: .3; }
    .portfolio-page .featured:hover:after {
      transform: translateY(70px); }
  .portfolio-page .main {
    min-height: 500px;
    @apply bg-white leading-loose text-lg; }
  .portfolio-page .next-prev {
    @apply p-4; }
    .portfolio-page .next-prev .content-wrapper {
      @apply relative w-full overflow-hidden h-64;
      z-index: 1; }
      .portfolio-page .next-prev .content-wrapper img {
        @apply min-w-full min-h-full absolute;
        left: 50%;
        top: 50%;
        transform: translateY(-50%) translateX(-50%);
        z-index: -1;
        opacity: .7;
        filter: brightness(50%);
        transition: .3s ease-in-out;
        transition-delay: .2s; }
      .portfolio-page .next-prev .content-wrapper .content {
        @apply absolute pin-b p-3 flex justify-between w-full text-white tracking-wide; }
        .portfolio-page .next-prev .content-wrapper .content svg {
          position: relative;
          fill: currentColor; }
    .portfolio-page .next-prev.prev .content-wrapper .content svg {
      transform: rotate(180deg); }
    .portfolio-page .next-prev:hover .content-wrapper img {
      filter: brightness(90%);
      transform: translateY(-50%) translateX(-50%) scale(1.1); }

.page-loading {
  @apply w-screen h-screen flex justify-center items-center; }
  .page-loading.section {
    @apply .w-full .h-full;
    min-height: 300px; }

#content-wrapper {
  @apply .py-6; }
  #content-wrapper p {
    @apply mb-6; }

.social-share {
  @apply .list-reset .flex .p-0 .mt-0 justify-center; }

@screen md {
  .social-share {
    @apply .fixed .pin-l .flex-col;
    z-index: 9999;
    top: 50%;
    transform: translateY(-50%) translateX(-100%);
    transition: transform .2s ease-in-out; }
    .social-share.visible {
      transform: translateY(-50%); } }
  .social-share li a {
    @apply .flex .border-2 .border-teal-darker .text-teal-darker .text-xl .p-3 .mb-2 .ml-1; }
    .social-share li a:hover {
      @apply .border-teal .text-teal; }
    .social-share li a svg {
      position: static;
      display: block;
      margin: auto;
      width: 1em;
      height: 1em;
      fill: currentColor; }

.hp-title {
  @apply .absolute .text-white .text-center .text-2xl;
  z-index: 100;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%); }

.vertical {
  @apply absolute tracking-wide;
  transform: rotate(-90deg);
  left: 1rem;
  top: 2.5rem; }

.about-section {
  min-height: 15rem; }

.about-quote {
  @apply relative text-white text-base leading-normal; }
  .about-quote .vertical {
    left: 0;
    top: 3.5rem; }
  .about-quote p {
    @apply leading-normal;
    font-family: 'Raleway', sans-serif; }

.collision-canvas {
  @apply absolute pin-t pin-r h-full;
  opacity: .3; }

.skillz {
  display: block;
  width: 200px;
  height: 200px;
  perspective: 550px;
  transform-style: preserve-3d;
  transform: rotate3d(1, 0, 0, 90deg); }
  .skillz > span {
    transform: translateZ(50px);
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    position: absolute;
    backface-visibility: inherit;
    font-size: 60px;
    color: #fff; }
